[background]
-add water:  http://vdrift.net/forum/viewtopic.php?forum=2&showtopic=379&lastpost=true
-better tree class: http://vdrift.net/forum/viewtopic.php?forum=2&showtopic=326&lastpost=true
-make tree placement consider not placing trees on top of other trees
make tree density independent of treemap resolution
-fix more ocassional bugs in the foliage texture coord generation
-make the second terrain heightmap be a delta-map, perhaps even with a parametric surface, to allow for shoulders with mounds
-optimize parametric surface as much as possible

[tracks]
--add tire skid marks
--totally redo track system: http://vdrift.net/forum/viewtopic.php?forum=5&showtopic=400&lastpost=true
displacement map for little bumps on tracks

[cars]
--add driver sprite or model
---headlights/moon-light at night
--improve gauges
--put gauges into the car's dash
--better tire smoke (that doesn't intrude into the car and hangs around longer)
---make car stay on its back when it flips over
---resetting at high speed causes odd behaviour
--tire wear
--better co-planar car shadows:  can see them through hills, and bug when viewing the shadow edge-on

[sounds]
-improve sound files
-add crash sound, wind sound, engine start sound
-different sound/particles for spinning out grass/sand
-add tire/road contact sound and make it sound different for different materials (including kerb)

[general]
finish texture scaling support (make more robust)
---add autocross support, autocross level editor
--more camera modes:  left, right, front, back.  also, view cycle button
-make time trial reset bast time at start, and allow for a menu to end the time trial and check for a record time (and show speeds last lap)

[bugs]
---fix window resize bug in windows release
--fix crash on replay of windows version

[controls]
--even better keyboard control
handbrake
-remove reset..? (at least for multiplay competetive modes)
release mouse pointer in non-mouse camera modes
-control profiles

[replay]
---better yet fixed camera positioning
---add a way to embed car configuration and track into replay files
--add replay slots, improve replay menu (don't allow play directly from record, don't allow stop if not playing/recording, etc etc)
-option to see replay lap time
-stop the replay playback/recording if the game is reset:  http://vdrift.net/forum/viewtopic.php?showtopic=144
semi-transparent ghost replay
-auto ghost replay (start recording a replay after the starting point is passed once. Then after the car passes the starting point the second time, it can begin playing back the replay from the beginning)
-timed multiplayer mode (the only real difference would be that the cars would next to each other, and the clock would count down like in the other version. As for determining who wins, just go by the lap time for each car. For now it would be fine to have it just pre-set as a three-lap race, if that makes things simpler)

[menus]
picture of track on track selection menu
-all new menu class that supports mouse and gamepad input as well as keyboard
car parts menu only allow one part from each category to be chosen
--make control menu highlight duplicate key assignments for better readability
---way to set time/weather from the menus
-car select menu enhancements:  http://vdrift.net/forum/viewtopic.php?showtopic=153
-it would be really cool if the cars rotated off and back on the screen when they were being switched
